ONVIF::Analytics::Types::IPv6Configuration(3pm)

NAME
ONVIF::Analytics::Types::IPv6Configuration

DESCRIPTION
Perl data type class for the XML Schema defined complexType IPv6Configuration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AcceptRouterAdvert

•   DHCP

•   Manual

•   LinkLocal

•   FromDHCP

•   FromRA

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::IPv6Configuration
   AcceptRouterAdvert =>  $some_value, # boolean
   DHCP => $some_value, # IPv6DHCPConfiguration
   Manual =>  { # ONVIF::Analytics::Types::PrefixedIPv6Address
     Address => $some_value, # IPv6Address
     PrefixLength =>  $some_value, # int
   },
   LinkLocal =>  { # ONVIF::Analytics::Types::PrefixedIPv6Address
     Address => $some_value, # IPv6Address
     PrefixLength =>  $some_value, # int
   },
   FromDHCP =>  { # ONVIF::Analytics::Types::PrefixedIPv6Address
     Address => $some_value, # IPv6Address
     PrefixLength =>  $some_value, # int
   },
   FromRA =>  { # ONVIF::Analytics::Types::PrefixedIPv6Address
     Address => $some_value, # IPv6Address
     PrefixLength =>  $some_value, # int
   },
   Extension =>  { # ONVIF::Analytics::Types::IPv6ConfigurationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL